For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all project statuses of the project with the specified id.
      • POSTCreates a project status for a project.
      • GETReturns all project statuses.
      • GETReturns the project status with the specified id.
      • PUTUpdates an existing project status.
      • POSTDeletes a project status.
      • POSTSets the archived flag for a project status.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Statuses

Returns all project statuses of the project with the specified id.

GET
https://api.awork.com/api/v1/projects/:projectId/projectstatuses
GET
/api/v1/projects/:projectId/projectstatuses
$curl https://api.awork.com/api/v1/projects/projectId/projectstatuses \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "In Progress",
5 "type": "progress",
6 "order": 2,
7 "createdOn": "2024-01-15T09:30:00Z",
8 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
9 "updatedOn": "2024-01-15T09:30:00Z",
10 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
11 "projectId": "123e4567-e89b-12d3-a456-426614174000",
12 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
13 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
14 "isExternal": true
15 }
16]
Returns all project statuses relevant to the project with the specified id. If the project is linked to a workflow, the workflow's project statuses are returned. <Check title="Required Permissions" icon="key">The user must either be admin, have `project-master-data:read` permissions or be the creator of the project.</Check>
Was this page helpful?
Previous

Creates a project status for a project.

Next
Built with

Returns all project statuses relevant to the project with the specified id. If the project is linked to a workflow, the workflow’s project statuses are returned.

Required Permissions
The user must either be admin, have project-master-data:read permissions or be the creator of the project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The primary identifier of this project status.
namestring or null
The name of the project status.
typestring or null
The general type of this project status.
orderinteger or null
The order of this status.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
projectTemplateIdstring or nullformat: "uuid"
The id of the project template of the status.
projectIdstring or nullformat: "uuid"
The id of the project the status belongs to.
workflowIdstring or nullformat: "uuid"
The id of the workflow linked to this project status.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
isExternalboolean

True if the project status is coming from an external workspace (awork Connect).

Errors

401
Unauthorized Error
404
Not Found Error